Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.raster
Class MemoryLongRasterImage

    java.lang.Object
      |
      +--com.sun.jimi.core.raster.JimiRasterImageSupport
            |
            +--com.sun.jimi.core.raster.MemoryLongRasterImage

public class MemoryLongRasterImage
extends JimiRasterImageSupport
implements LongRasterImage

In-memory implementation of long-based storage. Luke Gorrie

Field Summary
`protected long[]` | `imageData`
`protected LongColorModel` | `lcm`
`protected int[]` | `pixelBuffer`
`protected java.awt.image.ColorModel` | `rgbcm`

Fields inherited from class com.sun.jimi.core.raster.JimiRasterImageSupport
`abort, colorModel, error, finished, forceRGB, modified, newFrameData, productionAllowed, productionStarted, properties, rowBuf, sourceColorModel, waitForOptions`

Constructor Summary
`MemoryLongRasterImage(int width, int height, LongColorModel cm)`

Method Summary
`long` | `getPixel(int x, int y)`
`int` | `getPixelRGB(int x, int y)`
`void` | `getRectangle(int x, int y, int width, int height, long[] buffer, int offset, int scansize)`
`void` | `getRectangleRGB(int x, int y, int width, int height, int[] buffer, int offset, int scansize)`
`void` | `getRow(int y, long[] buffer, int offset)`
`void` | `getRowRGB(int y, int[] buffer, int offset)`
`protected void` | `initStorage()`
`protected void` | `sendPixel(int x, int y, long value)`
`protected void` | `sendRectangle(int x, int y, int width, int height, long[] pixels, int offset, int scansize)`
`protected void` | `sendRegionToConsumerFully(java.awt.image.ImageConsumer consumer, java.awt.Rectangle region)`
`protected void` | `sendRow(int y, long[] pixels, int offset)`
`protected void` | `sendToConsumerFully(java.awt.image.ImageConsumer consumer)`
`void` | `setPixel(int x, int y, long value)`
`void` | `setRectangle(int x, int y, int width, int height, long[] pixels, int offset, int scansize)`
`void` | `setRow(int y, long[] pixels, int offset)`
`void` | `storePixel(int x, int y, long value)`
`void` | `storeRectangle(int x, int y, int width, int height, long[] pixels, int offset, int scansize)`
`void` | `storeRow(int y, long[] pixels, int offset)`

Methods inherited from class com.sun.jimi.core.raster.JimiRasterImageSupport
`addConsumer, addDirectConsumer, addWaitingConsumer, catchupConsumer, getAppropriateColorModel, getChannelRectangle, getChannelRow, getColorModel, getCroppedImageProducer, getDirectConsumer, getFactory, getHeight, getImageProducer, getOptions, getProperties, getRectangleARGBChannels, getRectangleRGBAChannels, getRectangleRGBChannels, getWidth, hasDirectConsumer, initConsumer, isConsumer, isError, mustWaitForOptions, produceCroppedImage, removeConsumer, requestTopDownLeftRightResend, setColorModel, setDecodingController, setError, setFactory, setFinished, setImageConsumerHints, setModified, setOptions, setWaitForOptions, startProduction, waitFinished, waitInfoAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### imageData

    protected long[] imageData

### pixelBuffer

    protected int[] pixelBuffer

### lcm

    protected LongColorModel lcm

### rgbcm

    protected java.awt.image.ColorModel rgbcm

Constructor Detail

### MemoryLongRasterImage

    public MemoryLongRasterImage(int width,
                                 int height,
                                 LongColorModel cm)

Method Detail

### initStorage

    protected void initStorage()
                        throws JimiException

### getRectangleRGB

    public void getRectangleRGB(int x,
                                int y,
                                int width,
                                int height,
                                int[] buffer,
                                int offset,
                                int scansize)
                         throws ImageAccessException

### getRowRGB

    public void getRowRGB(int y,
                          int[] buffer,
                          int offset)
                   throws ImageAccessException

### getPixelRGB

    public int getPixelRGB(int x,
                           int y)
                    throws ImageAccessException

### getRectangle

    public void getRectangle(int x,
                             int y,
                             int width,
                             int height,
                             long[] buffer,
                             int offset,
                             int scansize)
                      throws ImageAccessException

  Specified by:
    getRectangle in interface LongRasterImage

### getRow

    public void getRow(int y,
                       long[] buffer,
                       int offset)
                throws ImageAccessException

  Specified by:
    getRow in interface LongRasterImage

### getPixel

    public long getPixel(int x,
                         int y)
                  throws ImageAccessException

  Specified by:
    getPixel in interface LongRasterImage

### setRectangle

    public void setRectangle(int x,
                             int y,
                             int width,
                             int height,
                             long[] pixels,
                             int offset,
                             int scansize)
                      throws ImageAccessException

  Specified by:
    setRectangle in interface LongRasterImage

### setRow

    public void setRow(int y,
                       long[] pixels,
                       int offset)
                throws ImageAccessException

  Specified by:
    setRow in interface LongRasterImage

### setPixel

    public void setPixel(int x,
                         int y,
                         long value)
                  throws ImageAccessException

  Specified by:
    setPixel in interface LongRasterImage

### storeRectangle

    public void storeRectangle(int x,
                               int y,
                               int width,
                               int height,
                               long[] pixels,
                               int offset,
                               int scansize)
                        throws ImageAccessException

### storeRow

    public void storeRow(int y,
                         long[] pixels,
                         int offset)
                  throws ImageAccessException

### storePixel

    public void storePixel(int x,
                           int y,
                           long value)
                    throws ImageAccessException

### sendRectangle

    protected void sendRectangle(int x,
                                 int y,
                                 int width,
                                 int height,
                                 long[] pixels,
                                 int offset,
                                 int scansize)

### sendRow

    protected void sendRow(int y,
                           long[] pixels,
                           int offset)

### sendPixel

    protected void sendPixel(int x,
                             int y,
                             long value)

### sendToConsumerFully

    protected void sendToConsumerFully(java.awt.image.ImageConsumer consumer)
                                throws ImageAccessException

  Overrides:
    sendToConsumerFully in class JimiRasterImageSupport

### sendRegionToConsumerFully

    protected void sendRegionToConsumerFully(java.awt.image.ImageConsumer consumer,
                                             java.awt.Rectangle region)
                                      throws ImageAccessException

  Overrides:
    sendRegionToConsumerFully in class JimiRasterImageSupport

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD